Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom.xml
Class XMLOutputStream

`java.lang.Object
oracle.jbo.mom.xml.XMLOutputStream`

All Implemented Interfaces:
  DefWriter

public class XMLOutputStream
extends java.lang.Object
implements DefWriter

     NAME
          This class holds the content of an object you intenet to persist
          as XML.
     DESCRIPTION

     NOTES

     VERSION
     MODIFIED   (MM/DD/YY)

Version:
  INTERNAL

Field Summary
`static int` | `AMP`
`static java.lang.String` | `AMP_STR`
`static int` | `APOS`
`static java.lang.String` | `APOS_STR`
`static int` | `GT`
`static java.lang.String` | `GT_STR`
`static int` | `LT`
`static java.lang.String` | `LT_STR`
`static int` | `MAX_CONT_STRING_SIZE`
`static int` | `MAX_STRING_LINE`
`protected java.lang.StringBuffer` | `mBuffer`
`protected DTAttrsHolder` | `mDTAttrs`
`protected java.lang.String` | `mIndentStr`
`static java.lang.String` | `NEW_LINE`
`static int` | `NEW_LINE_CHAR`
`static int` | `QUOT`
`static java.lang.String` | `QUOT_STR`
`static int` | `SPACE_CHAR`
`static java.lang.String` | `SPACE_STR`

Constructor Summary
`XMLOutputStream(DefinitionManager mgr)`

Method Summary
`java.lang.String` | `breakStr(java.lang.String inStr)` Breaks the String in to multiple lines by appending new line Characters.
`protected java.lang.String` | `checkSpecialChar(java.lang.String value, char specialChar, java.lang.String replacement)`
`protected java.lang.String` | `checkSpecialChars(java.lang.String value)`
`void` | `closeConnection()` Writes the internal buffers and closes the XML file.
`void` | `commit()` This method Commits the transaction.
`protected static java.lang.String` | `createEscapes(java.lang.String inStr, boolean userString)`
`static java.net.URL` | `createURL(java.lang.String fileName)` Creates the URL class for the given filename
`protected void` | `doWriteString(java.lang.String attrName, java.lang.String value)`
`void` | `epilogue(DefPersistable jtpObject)` This method write the ending block for each Object.
`void` | `epilogue(PersistentDefinition jtpObject)` This method write the ending block for each Object.
`java.lang.Object` | `getConnection()` Returns the the XML FileOutStream.
`java.lang.String` | `getIanaEncoding()`
`java.lang.String` | `getJdkEncoding()`
`boolean` | `isConnectionOpen()` Returns if a Connection is already open
`protected boolean` | `isDefaultValue(java.lang.String attrName, java.lang.String value)`
`void` | `openConnection(java.lang.String tagName)` Opens the XML file in output mode.
`void` | `openConnection(java.lang.String xmlFileName, java.lang.String tagName)` Opens the XML file in output mode.
`void` | `prologue(DefPersistable jtpObject)` This method writes the starting block for each Object.
`void` | `prologue(PersistentDefinition jtpObject)` This method writes the starting block for each Object.
`static java.lang.StringBuffer` | `removeDesignTime(java.lang.StringBuffer buffer)`
`void` | `resetIndentation()` Decreases the indentation by three spaces
`void` | `rollback()` This method rolls back the transaction.
`void` | `saveAs(java.lang.String xmlFileName)` Opens the XML file in output mode.
`void` | `saveAsRunTimeXML(java.lang.String xmlFileName)` Saves the Runtime Version of XML File Same as the Regular XML file without DesignTime section
`protected void` | `saveDesignTimeAttrs()`
`void` | `saveToOutputStream(java.io.OutputStream os)` Saves the Buffer to given OutputStream
`void` | `saveToOutputStream(java.io.Writer os)` Saves the Buffer to given Writer
`void` | `setIanaEncoding(java.lang.String iana)`
`void` | `setIndentation()` Increases the indentation by three spaces
`void` | `setJdkEncoding(java.lang.String jdkEnc)`
`char[]` | `toCharArray()` expose own content as a char array: this involves a complete buffer copy
`boolean` | `writeBoolean(java.lang.String attrName, boolean value)` This method writes an attribute of type boolean
`boolean` | `writeByte(java.lang.String attrName, byte value)` This method writes an attribute of type byte
`boolean` | `writeChar(java.lang.String attrName, char value)` This method writes an attribute of type char
`void` | `writeComment(java.lang.String comment)`
`boolean` | `writeDouble(java.lang.String attrName, double value)` This method writes an attribute of type double
`void` | `writeFileHeader(java.lang.String tagName)` Creates Properties XML section.
`boolean` | `writeFloat(java.lang.String attrName, float value)` This method writes an attribute of type float
`boolean` | `writeInt(java.lang.String attrName, int value)` This method writes an attribute of type int
`boolean` | `writeLong(java.lang.String attrName, long value)` This method writes an attribute of type long
`void` | `writeObject(DefPersistable jtpObject)` This method writes a persistable object including its children to the output stream
`void` | `writeObject(PersistentDefinition jtpObject)` This method writes a persistable object including its children to the output stream
`boolean` | `writeObject(java.lang.String attrName, java.lang.Object value)` This method writes an attribute of type object
`boolean` | `writeShort(java.lang.String attrName, short value)` This method writes an attribute of type short
`boolean` | `writeString(java.lang.String attrName, java.lang.String value)` This method writes an attribute of type String
`boolean` | `writeStringArray(java.lang.String attrName, java.util.Enumeration value)` This method writes an attribute of type String
`boolean` | `writeStringArray(java.lang.String attrName, com.sun.java.util.collections.Iterator value)` This method writes an attribute of type String
`boolean` | `writeStringArrayElement(java.lang.String attrName, com.sun.java.util.collections.Iterator value)` This method writes an attribute of type String
`boolean` | `writeTable(DefPersistable jtpObject, java.lang.String attrName, com.sun.java.util.collections.HashMap value)` This method writes an attribute of type Hashtable
`boolean` | `writeTable(DefPersistable jtpObject, java.lang.String attrName, java.util.Hashtable value)` This method writes an attribute of type Hashtable
`boolean` | `writeTable(DefPersistable jtpObject, java.lang.String attrName, java.lang.String elemName, java.lang.String name, java.lang.String value, com.sun.java.util.collections.HashMap ht)` This method writes an attribute of type Hashtable
`boolean` | `writeTable(DefPersistable jtpObject, java.lang.String attrName, java.lang.String elemName, java.lang.String name, java.lang.String value, java.util.Hashtable ht)` This method writes an attribute of type Hashtable
`void` | `writeUserObject(java.lang.String elementName, java.lang.String value)`
`boolean` | `writeUserString(java.lang.String attrName, java.lang.String value)` This method writes an attribute of type String This method replaces the system characters such as '"&<> to escape sequances that XML parser understands.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEW_LINE

    public static java.lang.String NEW_LINE

### LT_STR

    public static final java.lang.String LT_STR

  See Also:
    Constant Field Values

### GT_STR

    public static final java.lang.String GT_STR

  See Also:
    Constant Field Values

### AMP_STR

    public static final java.lang.String AMP_STR

  See Also:
    Constant Field Values

### APOS_STR

    public static final java.lang.String APOS_STR

  See Also:
    Constant Field Values

### QUOT_STR

    public static final java.lang.String QUOT_STR

  See Also:
    Constant Field Values

### SPACE_STR

    public static final java.lang.String SPACE_STR

  See Also:
    Constant Field Values

### MAX_CONT_STRING_SIZE

    public static final int MAX_CONT_STRING_SIZE

  See Also:
    Constant Field Values

### MAX_STRING_LINE

    public static final int MAX_STRING_LINE

  See Also:
    Constant Field Values

### LT

    public static final int LT

  See Also:
    Constant Field Values

### GT

    public static final int GT

  See Also:
    Constant Field Values

### AMP

    public static final int AMP

  See Also:
    Constant Field Values

### APOS

    public static final int APOS

  See Also:
    Constant Field Values

### QUOT

    public static final int QUOT

  See Also:
    Constant Field Values

### SPACE_CHAR

    public static final int SPACE_CHAR

  See Also:
    Constant Field Values

### NEW_LINE_CHAR

    public static final int NEW_LINE_CHAR

  See Also:
    Constant Field Values

### mIndentStr

    protected java.lang.String mIndentStr

### mBuffer

    protected java.lang.StringBuffer mBuffer

### mDTAttrs

    protected DTAttrsHolder mDTAttrs

Constructor Detail

### XMLOutputStream

    public XMLOutputStream(DefinitionManager mgr)

Method Detail

### prologue

    public void prologue(DefPersistable jtpObject)

  This method writes the starting block for each Object.
  Parameters:
    `jtpObject` - the JT Persistable Object

### prologue

    public void prologue(PersistentDefinition jtpObject)

  This method writes the starting block for each Object.
  Parameters:
    `jtpObject` - the JT Persistable Object

### epilogue

    public void epilogue(DefPersistable jtpObject)

  This method write the ending block for each Object.
  Parameters:
    `jtpObject` - the JT Persistable Object

### saveDesignTimeAttrs

    protected void saveDesignTimeAttrs()

### epilogue

    public void epilogue(PersistentDefinition jtpObject)

  This method write the ending block for each Object.
  Parameters:
    `jtpObject` - the JT Persistable Object

### writeObject

    public boolean writeObject(java.lang.String attrName,
                               java.lang.Object value)

  This method writes an attribute of type object
  Specified by:
    `writeObject` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeTable

    public boolean writeTable(DefPersistable jtpObject,
                              java.lang.String attrName,
                              com.sun.java.util.collections.HashMap value)

  This method writes an attribute of type Hashtable
  Specified by:
    `writeTable` in interface `DefWriter`
  Parameters:
    `jtpObject` - the object holding this Attribute
    `attrName` - the name of the Attribute to written
    `value` - the value of the Attribute
  Returns:
    Returns true if there are no errors in writing the attribute

### writeTable

    public boolean writeTable(DefPersistable jtpObject,
                              java.lang.String attrName,
                              java.util.Hashtable value)

  This method writes an attribute of type Hashtable
  Specified by:
    `writeTable` in interface `DefWriter`
  Parameters:
    `jtpObject` - the object holding this Attribute
    `attrName` - the name of the Attribute to written
    `value` - the value of the Attribute
  Returns:
    Returns true if there are no errors in writing the attribute

### writeTable

    public boolean writeTable(DefPersistable jtpObject,
                              java.lang.String attrName,
                              java.lang.String elemName,
                              java.lang.String name,
                              java.lang.String value,
                              java.util.Hashtable ht)

  Description copied from interface: `DefWriter`
  This method writes an attribute of type Hashtable
  Specified by:
    `writeTable` in interface `DefWriter`
  Parameters:
    `jtpObject` - the object holding this Attribute
    `attrName` - the name of the Attribute to written
    `elemName` - the value of the name of the attribute.
    `name` - the value of the label of the attribute name
    `value` - the value of the label for the attribute value
    `ht` - the value of the Attribute
  Returns:
    Returns true if there are no errors in writing the attribute

### writeTable

    public boolean writeTable(DefPersistable jtpObject,
                              java.lang.String attrName,
                              java.lang.String elemName,
                              java.lang.String name,
                              java.lang.String value,
                              com.sun.java.util.collections.HashMap ht)

  Description copied from interface: `DefWriter`
  This method writes an attribute of type Hashtable
  Specified by:
    `writeTable` in interface `DefWriter`
  Parameters:
    `jtpObject` - the object holding this Attribute
    `attrName` - the name of the Attribute to written
    `elemName` - the value of the name of the attribute.
    `name` - the value of the label of the attribute name
    `value` - the value of the label for the attribute value
    `ht` - the value of the Attribute
  Returns:
    Returns true if there are no errors in writing the attribute

### checkSpecialChars

    protected java.lang.String checkSpecialChars(java.lang.String value)

### checkSpecialChar

    protected java.lang.String checkSpecialChar(java.lang.String value,
                                                char specialChar,
                                                java.lang.String replacement)

### writeString

    public boolean writeString(java.lang.String attrName,
                               java.lang.String value)

  This method writes an attribute of type String
  Specified by:
    `writeString` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### doWriteString

    protected void doWriteString(java.lang.String attrName,
                                 java.lang.String value)

### isDefaultValue

    protected boolean isDefaultValue(java.lang.String attrName,
                                     java.lang.String value)

### writeUserString

    public boolean writeUserString(java.lang.String attrName,
                                   java.lang.String value)

  This method writes an attribute of type String This method replaces the system characters such as '"&<> to escape sequances that XML parser understands. This method should be used in all the places where the string might contain the above characters.
  Specified by:
    `writeUserString` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeStringArray

    public boolean writeStringArray(java.lang.String attrName,
                                    com.sun.java.util.collections.Iterator value)

  This method writes an attribute of type String
  Specified by:
    `writeStringArray` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Enumeration of values
  Returns:
    Returns true if there are no erros in writing the attribute

### writeStringArray

    public boolean writeStringArray(java.lang.String attrName,
                                    java.util.Enumeration value)

  This method writes an attribute of type String
  Specified by:
    `writeStringArray` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Enumeration of values
  Returns:
    Returns true if there are no erros in writing the attribute

### writeInt

    public boolean writeInt(java.lang.String attrName,
                            int value)

  This method writes an attribute of type int
  Specified by:
    `writeInt` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeShort

    public boolean writeShort(java.lang.String attrName,
                              short value)

  This method writes an attribute of type short
  Specified by:
    `writeShort` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeLong

    public boolean writeLong(java.lang.String attrName,
                             long value)

  This method writes an attribute of type long
  Specified by:
    `writeLong` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeFloat

    public boolean writeFloat(java.lang.String attrName,
                              float value)

  This method writes an attribute of type float
  Specified by:
    `writeFloat` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeDouble

    public boolean writeDouble(java.lang.String attrName,
                               double value)

  This method writes an attribute of type double
  Specified by:
    `writeDouble` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeBoolean

    public boolean writeBoolean(java.lang.String attrName,
                                boolean value)

  This method writes an attribute of type boolean
  Specified by:
    `writeBoolean` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeByte

    public boolean writeByte(java.lang.String attrName,
                             byte value)

  This method writes an attribute of type byte
  Specified by:
    `writeByte` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### writeChar

    public boolean writeChar(java.lang.String attrName,
                             char value)

  This method writes an attribute of type char
  Specified by:
    `writeChar` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the Attribute to read
    `value` - Value of the Attribute
  Returns:
    Returns true if there are no erros in writing the attribute

### openConnection

    public void openConnection(java.lang.String xmlFileName,
                               java.lang.String tagName)
                        throws DefPersistenceException

  Opens the XML file in output mode. Initializes the internal buffers
  Parameters:
    `xmlFileName` - Name of the XML File.
  Throws:
    `java.lang.Error` - opening the XML file
    `DefPersistenceException`

### closeConnection

    public void closeConnection()
                         throws DefPersistenceException

  Writes the internal buffers and closes the XML file.
  Throws:
    `java.lang.Error` - closing the connection
    `DefPersistenceException`

### isConnectionOpen

    public boolean isConnectionOpen()

  Returns if a Connection is already open
  Returns:
    Returns true if the connection is opened. Otherwise returns false.

### getConnection

    public java.lang.Object getConnection()

  Returns the the XML FileOutStream.
  Returns:
    Returns the XML FileOutputStream object

### commit

    public void commit()
                throws DefPersistenceException

  This method Commits the transaction. In the case of XML and other file based persistent storages, this method just flushes to the file.
  Specified by:
    `commit` in interface `DefWriter`
  Throws:
    `java.lang.Error` - commiting the transaction
    `DefPersistenceException`

### rollback

    public void rollback()
                  throws DefPersistenceException

  This method rolls back the transaction. In the case of XML and other file based persistent storages, this method just resets the buffer in the memory.
  Specified by:
    `rollback` in interface `DefWriter`
  Throws:
    `java.lang.Error` - Rolling back the transaction
    `DefPersistenceException`

### setIndentation

    public void setIndentation()

  Increases the indentation by three spaces

### resetIndentation

    public void resetIndentation()

  Decreases the indentation by three spaces

### writeFileHeader

    public void writeFileHeader(java.lang.String tagName)
                         throws DefPersistenceException

  Creates Properties XML section. Writes all the Property in the hashtable
  Parameters:
    `tagName` - Hashtable consists of Properties.
  Throws:
    `DefPersistenceException`

### writeObject

    public void writeObject(DefPersistable jtpObject)
                     throws DefPersistenceException

  Description copied from interface: `DefWriter`
  This method writes a persistable object including its children to the output stream
  Specified by:
    `writeObject` in interface `DefWriter`
  Parameters:
    `jtpObject` - the DefPersistable object to write
  Throws:
    `DefPersistenceException`

### writeObject

    public void writeObject(PersistentDefinition jtpObject)
                     throws DefPersistenceException

  Description copied from interface: `DefWriter`
  This method writes a persistable object including its children to the output stream
  Specified by:
    `writeObject` in interface `DefWriter`
  Parameters:
    `jtpObject` - the PersistentDefinition object to write
  Throws:
    `DefPersistenceException`

### writeUserObject

    public void writeUserObject(java.lang.String elementName,
                                java.lang.String value)
                         throws DefPersistenceException

  Specified by:
    `writeUserObject` in interface `DefWriter`
  Throws:
    `DefPersistenceException`

### writeComment

    public void writeComment(java.lang.String comment)
                      throws DefPersistenceException

  Throws:
    `DefPersistenceException`

### saveAs

    public void saveAs(java.lang.String xmlFileName)
                throws DefPersistenceException

  Opens the XML file in output mode. Initializes the internal buffers
  Parameters:
    `xmlFileName` - Name of the XML File.
  Throws:
    `java.lang.Error` - opening the XML file
    `DefPersistenceException`

### saveAsRunTimeXML

    public void saveAsRunTimeXML(java.lang.String xmlFileName)
                          throws DefPersistenceException

  Saves the Runtime Version of XML File Same as the Regular XML file without DesignTime section
  Parameters:
    `xmlFileName` - Name of the XML File.
  Throws:
    `java.lang.Error` - opening the XML file
    `DefPersistenceException`

### removeDesignTime

    public static java.lang.StringBuffer removeDesignTime(java.lang.StringBuffer buffer)

### saveToOutputStream

    public void saveToOutputStream(java.io.OutputStream os)
                            throws DefPersistenceException

  Saves the Buffer to given OutputStream
  Parameters:
    `os` - OutputStream
  Throws:
    `java.lang.Error` - opening the XML file
    `DefPersistenceException`

### openConnection

    public void openConnection(java.lang.String tagName)
                        throws DefPersistenceException

  Opens the XML file in output mode. Initializes the internal buffers
  Parameters:
    `tagName` - Name of the XML File.
  Throws:
    `java.lang.Error` - opening the XML file
    `DefPersistenceException`

### breakStr

    public java.lang.String breakStr(java.lang.String inStr)

  Breaks the String in to multiple lines by appending new line Characters.
  Parameters:
    `inStr` - Input String
  Returns:
    Retuns the new String

### createEscapes

    protected static java.lang.String createEscapes(java.lang.String inStr,
                                                    boolean userString)

### createURL

    public static java.net.URL createURL(java.lang.String fileName)
                                  throws java.io.IOException

  Creates the URL class for the given filename
  Parameters:
    `fileName` - The Xml file name
  Returns:
    URL the created URL
  Throws:
    `java.io.IOException` - Can not java.io.File class

### saveToOutputStream

    public void saveToOutputStream(java.io.Writer os)
                            throws DefPersistenceException

  Saves the Buffer to given Writer
  Parameters:
    `os` - Writer
  Throws:
    `java.lang.Error`
    `DefPersistenceException`

### getIanaEncoding

    public java.lang.String getIanaEncoding()

### setIanaEncoding

    public void setIanaEncoding(java.lang.String iana)

### getJdkEncoding

    public java.lang.String getJdkEncoding()

### setJdkEncoding

    public void setJdkEncoding(java.lang.String jdkEnc)

### toCharArray

    public char[] toCharArray()

  expose own content as a char array: this involves a complete buffer copy

### writeStringArrayElement

    public boolean writeStringArrayElement(java.lang.String attrName,
                                           com.sun.java.util.collections.Iterator value)

  This method writes an attribute of type String
  Specified by:
    `writeStringArrayElement` in interface `DefWriter`
  Parameters:
    `attrName` - the name of the element to write
    `value` - Enumeration of values
  Returns:
    Returns true if there are no erros in writing the attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.